package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.ApplicationEntity;
import com.blueland.model.TPfApplication;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 9:16
 */
public interface IApplicationService extends IService<TPfApplication> {

    Page<ApplicationEntity> findApplicationPageListByParams(Map<String, Object> tagApplication, int curPage, int pageSize);

    List<ApplicationEntity> findTagApplicationListByParams(Map<String, Object> tagApplication);

    boolean dealAppDatabase(Map<String, Object> appdatabaseMap, ApplicationEntity application);

    boolean dealAdminUser(List<Map<String, Object>> detailMap, ApplicationEntity application);

    Integer batchDelete(String[] appIds);

    Boolean saveDate(Map<String, Object> params);

    Boolean updateDate(Map<String, Object> params);

    Boolean saveInformation(Map<String, Object> params);

    List<Map<String, Object>> getCombinationTreeList(Map<String, Object> params);

    List<ApplicationEntity> findApplicationListByUser(String userId);

    TPfApplication get(ApplicationEntity entity);

    List<ApplicationEntity> findList(ApplicationEntity entity);

    Page<ApplicationEntity> findPage(ApplicationEntity entity);
}
